OnIRCConnectionEstablished Triggered when a new IRC connection has been established
Parameters

    None

Window
Console of the related IRC context
Description

This event is triggered immediately after an IRC connection has been established. No data has been sent to the server yet and you have not logged in: it is not a good idea attempting to send data to the server (READ: This is NOT a good place for joining channels). Your nickname is still undefined too. If you're looking for the appropriate moment for sending data to the server look at the onirc event. This event is a good place for initializing connection related variables. By calling halt in this event you will stop the Connection established output.

See also
onircconnectionterminated

Index, Events